#ifndef OBSTACLE_H
#define OBSTACLE_H

#include "raylib.h"
#include "snake.h"
#include "food.h"

#define MAX_OBSTACLES 20
#define OBSTACLE_COLOR RED

typedef struct {
    Vector2 position;
    bool active;
} Obstacle;

void InitObstacles(Obstacle obstacles[], int count);
void SpawnObstacle(Obstacle obstacles[], int count, const Snake *snake, const Food *food);
void DrawObstacles(const Obstacle obstacles[], int count);
bool CheckObstacleCollision(const Snake *snake, const Obstacle obstacles[], int count);

#endif